Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.query.listen
Class SQLExpression

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.query.listen.SQLEmbed
            |
            +--com.solarmetric.kodo.impl.jdbc.query.listen.SQLExpression

All Implemented Interfaces:
  FilterListener, JDBCFilterListener

public class SQLExpression
extends SQLEmbed

Simple listener which embeds the argument as an expression into the where clause generated by the query. Listens on "ext:sqlExp".

Example:
`"price < 10 || ext:sqlExp (\"(SELECT AVG (PRICE) FROM PRODUCT_TABLE) > 100\")"`

Field Summary
`static String` | `TAG`

Constructor Summary
`SQLExpression()`

Method Summary
`String` | `getTag()` Return the tag that this extension listens for.
`boolean` | `isExpression()` Return true if this extension is an expression; i.e.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.query.listen.SQLEmbed
`evaluate, expectsArgument, expectsTarget, where`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final String TAG

Constructor Detail

### SQLExpression

    public SQLExpression()

Method Detail

### getTag

    public String getTag()

  Description copied from interface: `FilterListener`
  Return the tag that this extension listens for.

### isExpression

    public boolean isExpression()

  Description copied from interface: `FilterListener`
  Return true if this extension is an expression; i.e. if it evaluates to `true` or `false` on its own.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.